<?
/*
GetFileType
用法：GetFiletype($filename)
*/

function getfiletype($filename) {

    if (substr_count($filename, ".") == 0) {        // 检查文件名中是否有.号。

        return;                // 返回空

    } else if (substr($filename, -1) == ".") {        // 检查是否以.结尾，即无扩展名

        return;                // 返回空

    } else {
        $filetype = strrchr ($filename, ".");    // 从.号处切割
        $filetype = substr($filetype, 1);    // 去除.号
        $filetype = strtolower($filetype);    //把扩展名转换成小写字母
        return $filetype;            // 返回
    }
}


//$filename = "Test.filen.ame.GHG";

//$filename = getfiletype($filename);

//echo $filename;            // 　打印出php4
?>